<?php /* -*- PHP -*- */

define ("LOGFILE", "tmp/logging.log");
define ("LOGLEVEL", 0);

require ("library.php.inc");

/* unitary tests */

$data = do_unit_test ("");

if (file_exists (LOGFILE))
  unlink (LOGFILE);

logging (_LOG_ERROR_, "This is an error message");
logging (_LOG_WARN_, "This is a warning message");
logging (_LOG_DEBUG_, "This is a debug message");

/* unitary checks */

echo "logfile:\n";
if (file_exists (LOGFILE) && ($fd = fopen (LOGFILE, "r"))) {
    echo fread ($fd, $len = filesize (LOGFILE));
    fclose ($fd);
}

if (file_exists (LOGFILE)) exit (1);

exit (0);
?>
